using System;

namespace Micro.Interfaces
{
    public interface IToken
    {
        /// Token class (none, ident, ...).
        int Line { get; }

        /// Line number of this token.
        TokenKind Kind { get; }

        /// Column number of this token.
        int Col { get; }

        /// Value of this token (for numbers or character constants).
        int Val { get; }

        /// String representation of this token.
        String Str { get; }
    }
}