using MicroTests.Implementation;
using NUnit.Core;
using NUnit.Framework;

namespace MicroTests
{
    [TestFixture]
    public class Tests
    {
        public static ITest Suite
        {
            get
            {
                TestSuite suite = new TestSuite("All Tests");
                suite.Add(new ScannerTests());
                suite.Add(new ParserTests());
                suite.Add(new SymTabTest());
                suite.Add(new CodeGenTest());
                return suite;
            }
        }
    }
}